org.apache.cassandra.cql3.statements

## Class ParsedStatement

- java.lang.Object
- - org.apache.cassandra.cql3.statements.ParsedStatement

Direct Known Subclasses:
  AuthenticationStatement, AuthorizationStatement, CFStatement, UseStatement

    public abstract class ParsedStatement
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static class` `ParsedStatement.Prepared`

### Constructor Summary

Constructors
Constructor and Description
`ParsedStatement()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`VariableSpecifications` `getBoundVariables()`
`java.lang.Iterable<Function>` `getFunctions()`
`abstract ParsedStatement.Prepared` `prepare()`
`void` `setBoundVariables(java.util.List<ColumnIdentifier> boundNames)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ParsedStatement

    public ParsedStatement()

### Method Detail

#### getBoundVariables

    public VariableSpecifications getBoundVariables()

#### setBoundVariables

    public void setBoundVariables(java.util.List<ColumnIdentifier> boundNames)

#### prepare

    public abstract ParsedStatement.Prepared prepare()
                                              throws RequestValidationException

Throws:
  `RequestValidationException`

#### getFunctions

    public java.lang.Iterable<Function> getFunctions()